Page MenuHomePhabricator

"Home" link of AWMD stats tool (sometimes) uses HTTP [Not Secure] protocol instead of HTTPS
Closed, ResolvedPublic

Description

This task is about a tool at https://tools.wmflabs.org/awmd-stats/ running on Toolforge:

Clicking on the "Home" link

of the AWMD stats tool sometimes sends an HTTP request to Toolforge instead of an HTTPS. This should be fixed, it's just a tweak on the base template sending the request so it always uses the HTTPS protocol.

Expected

Actual (sometimes)

Developer Notes

Work should be done on the base template and running the tool on deployment can be found on the README.md file.

Details

Related Gerrit Patches:
labs/tools/awmd-stats : masterFix 'Home' link not using HTTPS protocol
labs/tools/awmd-stats : masterFix linking "Home" to HTTPS

Event Timeline

D3r1ck01 created this task.Aug 22 2018, 7:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2018, 7:57 PM
D3r1ck01 renamed this task from "Home" link of AWMD stats tool links to HTTP version of site instead of HTTPS to "Home" link of AWMD stats tool (sometimes) uses HTTP [Not Secure] protocol instead of HTTPS.Aug 22 2018, 7:59 PM
Zppix added a subscriber: Zppix.

I will mentor this.

D3r1ck01 updated the task description. (Show Details)Sep 20 2018, 8:31 PM
Aklapper updated the task description. (Show Details)Oct 3 2018, 12:39 PM
Aklapper updated the task description. (Show Details)
Zoranzoki21 added a subscriber: Zoranzoki21.

I think to I can fix this. I claimed task on Google-Code-in-2018.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptOct 26 2018, 2:13 PM

Change 469893 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[labs/tools/awmd-stats@master] Fix linking "Home" to HTTPS

https://gerrit.wikimedia.org/r/469893

Change 469893 abandoned by Zoranzoki21:
Fix linking "Home" to HTTPS

https://gerrit.wikimedia.org/r/469893

Zoranzoki21 removed Zoranzoki21 as the assignee of this task.Oct 26 2018, 9:35 PM
Zoranzoki21 removed a subscriber: Zoranzoki21.

Change 470250 had a related patch set uploaded (by Nathan fraignt; owner: Nathan fraignt):
[labs/tools/awmd-stats@master] Fix home link not using https

https://gerrit.wikimedia.org/r/470250

Change 470250 merged by jenkins-bot:
[labs/tools/awmd-stats@master] Fix 'Home' link not using HTTPS protocol

https://gerrit.wikimedia.org/r/470250

D3r1ck01 closed this task as Resolved.Oct 30 2018, 1:39 PM
D3r1ck01 assigned this task to Nathan_fraignt.

Thanks for working on this! Will resolve this and if it happens in the future (after deployment), we'll reopen :)